Show / Hide Table of Contents

# Class Framework

This class represents the Framework of the native game client and grants access to various subsystems.

##### Inheritance

System.Object
Framework

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class Framework : IDisposable

### Constructors

| Improve this Doc View Source

#### Framework(SigScanner, Dalamud)

##### Declaration

    public Framework(SigScanner scanner, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | scanner |
Dalamud.Dalamud | dalamud |

### Properties

| Improve this Doc View Source

#### Address

A raw pointer to the instance of Client::Framework

##### Declaration

    public FrameworkAddressResolver Address { get; }

##### Property Value

Type | Description
--- | ---
Dalamud.Game.Internal.FrameworkAddressResolver |

| Improve this Doc View Source

#### Gui

The GUI subsystem, used to access e.g. chat.

##### Declaration

    public GameGui Gui { get; }

##### Property Value

Type | Description
--- | ---
GameGui |

| Improve this Doc View Source

#### Libc

##### Declaration

    public LibcFunction Libc { get; }

##### Property Value

Type | Description
--- | ---
LibcFunction |

| Improve this Doc View Source

#### Network

The Network subsystem, used to access network data.

##### Declaration

    public GameNetwork Network { get; }

##### Property Value

Type | Description
--- | ---
GameNetwork |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

### Events

| Improve this Doc View Source

#### OnUpdateEvent

Event that gets fired every time the game framework updates.

##### Declaration

    public event Framework.OnUpdateDelegate OnUpdateEvent

##### Event Type

Type | Description
--- | ---
Framework.OnUpdateDelegate |

### Implements

System.IDisposable